summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Black Rider <black_rider@esdebian.org>2011-10-21 16:13:44 -0200
committer Niels Horn <niels.horn@slackbuilds.org>2011-10-21 16:13:44 -0200
commita7cde684cf1810436bce10d2702250f4845bcdd6 (patch)
tree2701f39509260a0b9dfd8fd47ff95800825e8ac8
parent008170dda60dfca27329802260398cd997f9abca (diff)
downloadslackbuilds-a7cde684cf1810436bce10d2702250f4845bcdd6.tar.gz
slackbuilds-a7cde684cf1810436bce10d2702250f4845bcdd6.tar.xz
games/KoboDeluxe: Added (Simple space shooting game)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--games/KoboDeluxe/KoboDeluxe.SlackBuild108
-rw-r--r--games/KoboDeluxe/KoboDeluxe.desktop8
-rw-r--r--games/KoboDeluxe/KoboDeluxe.info10
-rw-r--r--games/KoboDeluxe/KoboDeluxe.pngbin0 -> 5240 bytes
-rw-r--r--games/KoboDeluxe/README5
-rw-r--r--games/KoboDeluxe/doinst.sh3
-rw-r--r--games/KoboDeluxe/kobodeluxe-0.5.1-glibc2.10.patch11
-rw-r--r--games/KoboDeluxe/kobodeluxe-gcc-4.3.patch83
-rw-r--r--games/KoboDeluxe/slack-desc19
9 files changed, 247 insertions, 0 deletions
diff --git a/games/KoboDeluxe/KoboDeluxe.SlackBuild b/games/KoboDeluxe/KoboDeluxe.SlackBuild
new file mode 100644
index 0000000000..df7c95693c
--- /dev/null
+++ b/games/KoboDeluxe/KoboDeluxe.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for Kobo Deluxe
+
+# Written by Black Rider <black_rider@esdebian.org>
+
+# This script is of public domain. It can be distributed, modified and used as desired.
+
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=KoboDeluxe
+VERSION=0.5.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $PKG/install
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvjf $CWD/$PRGNAM-$VERSION.tar.bz2
+cp -t $TMP $CWD/kobodeluxe-0.5.1-glibc2.10.patch $CWD/kobodeluxe-gcc-4.3.patch
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# This patches are incuded to fix compilation bugs.
+# I want to thank the Arch comunity for making them availible.
+
+patch -p0 <$TMP/kobodeluxe-0.5.1-glibc2.10.patch
+patch -p0 <$TMP/kobodeluxe-gcc-4.3.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --sharedstatedir=/var/games \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README README.xkobo README.jp README.xkobo.jp README.sfont ChangeLog TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/KoboDeluxe/KoboDeluxe.desktop b/games/KoboDeluxe/KoboDeluxe.desktop
new file mode 100644
index 0000000000..14c78c790f
--- /dev/null
+++ b/games/KoboDeluxe/KoboDeluxe.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Kobo Deluxe
+GenericName=Kobo Deluxe, a retro arcade-style game
+Exec=kobodl
+Icon=KoboDeluxe.png
+Type=Application
+Categories=Application;Game;Arcade
diff --git a/games/KoboDeluxe/KoboDeluxe.info b/games/KoboDeluxe/KoboDeluxe.info
new file mode 100644
index 0000000000..a807222961
--- /dev/null
+++ b/games/KoboDeluxe/KoboDeluxe.info
@@ -0,0 +1,10 @@
+PRGNAM="KoboDeluxe"
+VERSION="0.5.1"
+HOMEPAGE="http://olofson.net/kobodl"
+DOWNLOAD="http://www.olofson.net/kobodl/download/KoboDeluxe-0.5.1.tar.bz2"
+MD5SUM="cb5dcdaf07ccad18a921058138dedc4a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Black Rider"
+EMAIL="black_rider@esdebian.org"
+APPROVED="Niels Horn"
diff --git a/games/KoboDeluxe/KoboDeluxe.png b/games/KoboDeluxe/KoboDeluxe.png
new file mode 100644
index 0000000000..617d0216e2
--- /dev/null
+++ b/games/KoboDeluxe/KoboDeluxe.png
Binary files differ
diff --git a/games/KoboDeluxe/README b/games/KoboDeluxe/README
new file mode 100644
index 0000000000..67dadff59d
--- /dev/null
+++ b/games/KoboDeluxe/README
@@ -0,0 +1,5 @@
+Kobo is a game based on Xkobo. It is a 2D scrolling shooting game where you
+must destroy every enemy starbase you find in each stage, while avoiding
+being taken down by their defenses, the enemy ships, the asteroids...
+
+Tons of good old arcade endless action.
diff --git a/games/KoboDeluxe/doinst.sh b/games/KoboDeluxe/doinst.sh
new file mode 100644
index 0000000000..ef0cf43a90
--- /dev/null
+++ b/games/KoboDeluxe/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications &> /dev/null
+fi
diff --git a/games/KoboDeluxe/kobodeluxe-0.5.1-glibc2.10.patch b/games/KoboDeluxe/kobodeluxe-0.5.1-glibc2.10.patch
new file mode 100644
index 0000000000..1095cc1c73
--- /dev/null
+++ b/games/KoboDeluxe/kobodeluxe-0.5.1-glibc2.10.patch
@@ -0,0 +1,11 @@
+--- graphics/window.cpp
++++ graphics/window.cpp
+@@ -398,7 +398,7 @@
+ */
+ if(token)
+ {
+- char *tok = strchr(txt, token);
++ const char *tok = strchr(txt, token);
+ if(tok)
+ tokpos = tok-txt;
+ else
diff --git a/games/KoboDeluxe/kobodeluxe-gcc-4.3.patch b/games/KoboDeluxe/kobodeluxe-gcc-4.3.patch
new file mode 100644
index 0000000000..98451bb299
--- /dev/null
+++ b/games/KoboDeluxe/kobodeluxe-gcc-4.3.patch
@@ -0,0 +1,83 @@
+--- enemies.h
++++ enemies.h
+@@ -70,9 +70,9 @@
+ extern const enemy_kind bomb2;
+ extern const enemy_kind bombdeto;
+ extern const enemy_kind cannon;
+-extern const enemy_kind pipe1;
++extern const enemy_kind pipeone;
+ extern const enemy_kind core;
+-extern const enemy_kind pipe2;
++extern const enemy_kind pipetwo;
+ extern const enemy_kind rock;
+ extern const enemy_kind ring;
+ extern const enemy_kind enemy_m1;
+@@ -430,7 +430,7 @@
+
+ inline int _enemy::is_pipe()
+ {
+- return ((_state != notuse) && ((ek == &pipe1) || (ek == &pipe2)));
++ return ((_state != notuse) && ((ek == &pipeone) || (ek == &pipetwo)));
+ }
+
+
+--- enemy.cpp
++++ enemy.cpp
+@@ -713,7 +713,7 @@
+
+ void _enemy::kill_cannon()
+ {
+- enemies.make(&pipe1, CS2PIXEL(x), CS2PIXEL(y));
++ enemies.make(&pipeone, CS2PIXEL(x), CS2PIXEL(y));
+ sound.g_base_node_explo(x, y);
+ release();
+ }
+@@ -755,10 +755,10 @@
+
+ void _enemy::kill_core()
+ {
+- enemies.make(&pipe2, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 3);
+- enemies.make(&pipe2, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 7);
+- enemies.make(&pipe2, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 1);
+- enemies.make(&pipe2, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 5);
++ enemies.make(&pipetwo, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 3);
++ enemies.make(&pipetwo, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 7);
++ enemies.make(&pipetwo, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 1);
++ enemies.make(&pipetwo, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 5);
+ enemies.make(&explosion4, CS2PIXEL(x), CS2PIXEL(y));
+ sound.g_base_core_explo(x, y);
+ release();
+@@ -851,7 +851,7 @@
+ screen.set_map(x1, y1, m ^ a);
+ release();
+ }
+-const enemy_kind pipe1 = {
++const enemy_kind pipeone = {
+ 0,
+ &_enemy::make_pipe1,
+ &_enemy::move_pipe1,
+@@ -978,19 +978,19 @@
+ }
+ p ^= a;
+ if(p & U_MASK)
+- enemies.make(&pipe2, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 1);
++ enemies.make(&pipetwo, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 1);
+ if(p & R_MASK)
+- enemies.make(&pipe2, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 3);
++ enemies.make(&pipetwo, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 3);
+ if(p & D_MASK)
+- enemies.make(&pipe2, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 5);
++ enemies.make(&pipetwo, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 5);
+ if(p & L_MASK)
+- enemies.make(&pipe2, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 7);
++ enemies.make(&pipetwo, CS2PIXEL(x), CS2PIXEL(y), 0, 0, 7);
+ manage.add_score(10);
+ release();
+ }
+
+
+-const enemy_kind pipe2 = {
++const enemy_kind pipetwo = {
+ 0,
+ &_enemy::make_pipe2,
+ &_enemy::move_pipe2,
diff --git a/games/KoboDeluxe/slack-desc b/games/KoboDeluxe/slack-desc
new file mode 100644
index 0000000000..a973d872f8
--- /dev/null
+++ b/games/KoboDeluxe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+KoboDeluxe: Kobo Deluxe (Simple space shooting game)
+KoboDeluxe:
+KoboDeluxe: Kobo is a game based in Xkobo. It is a 2D scrolling shooting
+KoboDeluxe: game where you must destroy every enemy starbase you find in
+KoboDeluxe: each stage, while avoiding being taken down by their defenses,
+KoboDeluxe: the enemy ships, the asteroids...
+KoboDeluxe:
+KoboDeluxe: Tons of good old arcade endless action.
+KoboDeluxe:
+KoboDeluxe:
+KoboDeluxe: